# Class UnrepeatableSequenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.table.UnrepeatableSequenceException

All Implemented Interfaces:
  `Serializable`

public class UnrepeatableSequenceException extends IOException
Exception thrown by `StarTable.getRowSequence()` calls after the first for tables which can only provide a single `RowSequence`. The general contract of `StarTable` is that `getRowSequence` should be callable multiple times, so in general this exception ought not to be thrown, but for certain special circumstances where a one-shot table is known to be usable, this is the exception which should be used.

Since:
  23 Jul 2007
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnrepeatableSequenceException()`
Constructs an exception with a default message.
`UnrepeatableSequenceException(String msg)`
Constructs an exception with a given message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnrepeatableSequenceException

public UnrepeatableSequenceException()
Constructs an exception with a default message.

### UnrepeatableSequenceException

public UnrepeatableSequenceException(String msg)
Constructs an exception with a given message.

Parameters:
  `msg` - message